/*
 * Class WEL_COLOR_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_628 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_628 [] = {0xFF01,1551,627,0xFFFF};
static const EIF_TYPE_INDEX egt_2_628 [] = {0xFF01,627,0xFFFF};
static const EIF_TYPE_INDEX egt_3_628 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_628 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_628 [] = {0xFF01,627,0xFFFF};
static const EIF_TYPE_INDEX egt_6_628 [] = {0xFF01,627,0xFFFF};
static const EIF_TYPE_INDEX egt_7_628 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_628 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_628 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_628 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_628 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_628 [] = {0xFF01,627,0xFFFF};


static const struct desc_info desc_628[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_628), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_628), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_628), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_628), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_628), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_628), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_628), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_628), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_628), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_628), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_628), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_628), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E7 /*627*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_628), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15889, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15891, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15892, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15893, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15897, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15898, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15901, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15902, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15903, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15906, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15907, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 15886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 15887, 0xFFFFFFFF},
};
void Init628(void)
{
	IDSC(desc_628, 0, 627);
	IDSC(desc_628 + 1, 1, 627);
	IDSC(desc_628 + 32, 756, 627);
}


#ifdef __cplusplus
}
#endif
